> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Recurrings

> Admin: list all recurring billing profiles.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/admin/recurrings
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/admin/recurrings:
    get:
      tags:
        - admin:recurrings
      summary: List Recurrings
      description: 'Admin: list all recurring billing profiles.'
      operationId: list_recurrings_api_v1_admin_recurrings_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse_list_RecurringOut__'
      security:
        - HTTPBearer: []
components:
  schemas:
    ApiResponse_list_RecurringOut__:
      properties:
        data:
          anyOf:
            - items:
                $ref: '#/components/schemas/RecurringOut'
              type: array
            - type: 'null'
          title: Data
        meta:
          anyOf:
            - $ref: '#/components/schemas/PaginationMeta'
            - type: 'null'
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      title: ApiResponse[list[RecurringOut]]
    RecurringOut:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name_i18n:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Name I18N
        price:
          type: number
          title: Price
        frequency:
          type: string
          title: Frequency
        duration:
          type: integer
          title: Duration
        cycle:
          type: integer
          title: Cycle
        trial_status:
          type: boolean
          title: Trial Status
        trial_price:
          anyOf:
            - type: number
            - type: 'null'
          title: Trial Price
        trial_frequency:
          anyOf:
            - type: string
            - type: 'null'
          title: Trial Frequency
        trial_duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trial Duration
        trial_cycle:
          anyOf:
            - type: integer
            - type: 'null'
          title: Trial Cycle
        is_active:
          type: boolean
          title: Is Active
        sort_order:
          type: integer
          title: Sort Order
      type: object
      required:
        - id
        - name_i18n
        - price
        - frequency
        - duration
        - cycle
        - trial_status
        - trial_price
        - trial_frequency
        - trial_duration
        - trial_cycle
        - is_active
        - sort_order
      title: RecurringOut
    PaginationMeta:
      properties:
        page:
          type: integer
          title: Page
        page_size:
          type: integer
          title: Page Size
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - page_size
        - total
        - total_pages
      title: PaginationMeta
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````